let cardNumInput = document.querySelector("#cardNum");

cardNumInput.addEventListener("input", () => {
  let cNumber = cardNumInput.value.replace(/\s/g, "");

  if (!/^\d*$/.test(cNumber)) {
    // If the input is not a number, clear it
    cardNumInput.value = cardNumInput.value.replace(/\D/g, "");
    return;
  }

  if (cNumber.length > 16) {
    // Limit input to 16 digits
    cNumber = cNumber.slice(0, 16);
  }

  if (cNumber.length > 0) {
    cNumber = cNumber.match(/.{1,4}/g).join(" ");
  }

  cardNumInput.value = cNumber;
});
